1. DirectoryManagement
Calven
  • Overview
  • Key Access Levels
  • Basic Authentication Overview
  • HMAC Authentication Overview
  • SDKs
  • Calven Data Models
  • Changelog
  • HMAC Authentication
    • Generate a token with an API key and HMAC
      POST
    • Generate a token with an API key and client secret
      POST
  • Presence
    • Presence Overview
    • Submit presence events with BASIC auth
      POST
    • Submit presence events
      POST
  • Occupancy
    • Occupancy Overview
    • Submit occupancy events
      POST
  • Time off
    • Submit time off updates
      POST
  • Access Credentials
    • Submit access credentials
      POST
  • Warehouse - Basic Auth
    • Warehouse Overview
    • Users
      GET
    • Groups
      GET
    • Locations
      GET
    • Desks
      GET
    • Bookings & Attendance
      GET
    • Presence Details
      GET
    • User Actions Log
      GET
  • Warehouse - HMAC Auth
    • Warehouse Overview
    • Users
    • Groups
    • Locations
    • Desks
    • Bookings & Attendance
    • Presence
    • User Actions Log
  • Hierarchy Information
    • Org Hierarchy Information Overview
    • Submit group hierarchy relationships
    • Submit group hierarchy relationships with Basic Auth
  • DirectoryManagement
    • User Attributes Overview
    • Write directory user attributes
      POST
    • Write directory user attributes with Basic Auth
      POST
  • Schemas
    • Schemas
      • DWDesksResponseDto
      • DMGroupRelationshipDto
      • PresenceEventDto
      • DWGroupsResponseDto
      • LeaveRequestBody
      • CreatePresenceEventDto
      • TimeoffRequestBody
      • TimeOffEvent
      • EventResultDto
      • TimeoffResponse
      • ResultCodes
      • TimeoffEventResponse
      • CreatePresenceEventResponseDto
      • OccupancyEventDto
      • CreateOccupancyEventDto
      • CreateOccupancyEventResponseDto
      • AuthRequestDto
      • AuthResponseDto
      • OAuthRequestDto
      • OAuthResponseDto
      • AccessCredentialUpdateResultCodes
      • AccessCredentialUpdateResult
      • AccessCredentialUpdateResponse
      • AccessCredential
      • AccessCredentialUpdate
      • AccessCredentialUpdateRequest
      • DWChangeLogUserResponseDto
      • DWUserBookingAttendanceResponseDto
      • DWPresenceResponseDto
      • DWUsersResponseDto
      • DWLocationsResponseDto
    • DMPostUserAttributesRecordDto
    • DMPostUserAttributesBodyDto
    • DMPostUserAttributesRecordResponseDto
    • DMPostUserAttributesResponseDto
  1. DirectoryManagement

Write directory user attributes

POST
/v1/directory/user-attributes
Write attribute name/value pairs to directory user documents under the Calven internal namespace.

Request

Body Params application/jsonRequired

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://api.calven.com/v1/directory/user-attributes' \
--header 'Content-Type: application/json' \
--data-raw '{
    "userAttributes": [
        {
            "attributes": {
                "department": "engineering",
                "costCenter": "cc-1234"
            },
            "userName": "jane.doe@example.com"
        }
    ]
}'

Responses

🟢200
application/json
Bodyapplication/json

Example
{
    "results": [
        {
            "userName": "string",
            "message": "string",
            "resultCode": {}
        }
    ]
}
🟠401
Modified at 2026-05-08 13:22:36
Previous
User Attributes Overview
Next
Write directory user attributes with Basic Auth
Built with